Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.jobcontrol
Class JobControlListenerAdapter

    java.lang.Object
      com.developmentontheedge.jobcontrol.JobControlListenerAdapter

All Implemented Interfaces:
  JobControlListener

public class JobControlListenerAdapter
extends java.lang.Object
implements JobControlListener

JobControlListenerAdapter is "empty" implementation of `JobControlListener` interface.It is used for derived classes.

Constructor Summary
`JobControlListenerAdapter()`

Method Summary
`void` | `jobPaused(JobControlEvent event)` Invoked when job process is paused
`void` | `jobResumed(JobControlEvent event)` Invoked when job process is resumed after termination
`void` | `jobStarted(JobControlEvent event)` Invoked when job is started for the first time.
`void` | `jobTerminated(JobControlEvent event)` Invoked when job is terminated.
`void` | `resultsReady(JobControlEvent event)` Invoked when part of results is ready
`void` | `valueChanged(JobControlEvent event)` Invoked when preparedness of job is changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobControlListenerAdapter

    public JobControlListenerAdapter()

Method Detail

### valueChanged

    public void valueChanged(JobControlEvent event)

  Invoked when preparedness of job is changed. Use `event.getPreparedness()` for getting percent of job preparedness.

  Specified by:
    `valueChanged` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event
  See Also:
    `JobControlEvent.getPreparedness()`

### jobStarted

    public void jobStarted(JobControlEvent event)

  Invoked when job is started for the first time.

  Specified by:
    `jobStarted` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

### jobTerminated

    public void jobTerminated(JobControlEvent event)

  Invoked when job is terminated.
  Use `event.getStatus()` for getting cause of termination.

  Specified by:
    `jobTerminated` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event
  See Also:
    `JobControlEvent.getStatus()`

### jobPaused

    public void jobPaused(JobControlEvent event)

  Invoked when job process is paused

  Specified by:
    `jobPaused` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

### jobResumed

    public void jobResumed(JobControlEvent event)

  Invoked when job process is resumed after termination

  Specified by:
    `jobResumed` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

### resultsReady

    public void resultsReady(JobControlEvent event)

  Description copied from interface: `JobControlListener`
  Invoked when part of results is ready

  Specified by:
    `resultsReady` in interface `JobControlListener`
  Parameters:
    `event` - corresponding event

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.